@import url("https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Noto+Sans+SC:wght@100..900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  overflow-x: hidden;
}

.splashscreen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: white;
  z-index: 1000;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: opacity 1s ease-out;
}

.splashscreen__loader {
  position: relative;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  border: 10px solid #ccc;
  border-top: 10px solid #333;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

h3 {
  font-weight: bold;
  color: #121212;
  font-family: "Dancing Script", cursive;
}

h2 {
  font-weight: bold;
  color: #121212;
  font-family: "Dancing Script", cursive;
}

p {
  color: gray;
}

body {
  font-family: Arial, sans-serif;
}

.hero {
  position: relative;
  width: 100%;
  height: 90vh;
  background: url("/assets/gallery/Copy\ of\ DSC03942.webp")
    no-repeat center center/cover;
  display: flex;
  background-repeat: no-repeat;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
}

.hero-content {
  position: relative;
  z-index: 2;
}

.hero h1 {
  font-size: clamp(2rem, 5vw, 3rem);
  font-weight: bold;
  font-family: "dancing script", cursive;
}

.hero p {
  font-size: clamp(1rem, 3vw, 2rem);
  margin-top: 10px;
  color: white;
}

.slant {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 150px;
  background: white;
  clip-path: polygon(0 100%, 100% 0, 100% 100%);
}

.invitation {
  padding: 50px 0;
}

.invitation-content {
  max-width: 800px;
  margin: 0 auto;
  text-align: center;
}

.invitation h2 {
  font-size: clamp(2.5rem, 5vw, 4rem);
  margin-bottom: 20px;
}

.invitation p {
  font-size: clamp(0.9rem, 3vw, 1rem);
  line-height: 1.5;
}

.pc {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 50px;
  margin-top: 50px;
}

/* Groom */
.groom-pc {
  position: relative;
  display: flex;
  align-items: center;
  max-width: 900px;
}

.groom-pc .image-container {
  flex: 1;
  position: relative;
}

.groom-pc .image-container img {
  width: 400px;
  height: 400px;
  object-fit: cover;
  display: block;
}

.groom-pc .text-container {
  flex: 1;
  background: white;
  padding: 60px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  position: absolute;
  right: 30px;
  /* Overlapping effect */
  top: 50%;
  transform: translateY(-50%);
  width: 60%;
  text-align: center;
  border: 2px solid #121212;
}

.groom-pc .text-container::before,
.text-container::after {
  content: "";
  position: absolute;
  top: 10px;
  left: 10px;
  right: 10px;
  bottom: 10px;
  border: 1px solid #121212;
}

/* Bride */
.bride-pc {
  position: relative;
  display: flex;
  align-items: center;
  max-width: 900px;
}

.bride-pc .image-container {
  position: relative;
  right: -400px;
}

.bride-pc .image-container img {
  width: 400px;
  height: 400px;
  object-fit: cover;
  display: block;
}

.bride-pc .text-container {
  flex: 1;
  background: white;
  padding: 60px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  position: absolute;
  left: 30px; /* Moves text to the left */
  top: 50%;
  transform: translateY(-50%);
  width: 60%;
  text-align: center;
  border: 2px solid #121212;
  order: 1; /* Ensures text stays on the left */
  z-index: 2;
}

.bride-pc .text-container::before,
.text-container::after {
  content: "";
  position: absolute;
  top: 10px;
  left: 10px;
  right: 10px;
  bottom: 10px;
  border: 1px solid #121212;
}

.text-container h2 {
  color: #121212;
  font-size: clamp(1rem, 3vw, 2rem);
  margin-bottom: 10px;
}

.text-container p {
  color: #555;
  font-size: clamp(0.9rem, 2vw, 1rem);
  line-height: 1.5;
}

.mobile {
  display: none;
}

/* Date and Location Invitatiom */
.title-invitation {
  font-size: 5rem;
  position: relative;
  z-index: 2;
  font-family: "dancing script", cursive;
  color: white;
  margin-bottom: 20px;
}

.date-pc {
  position: relative;
  background: url("/assets/gallery/Copy\ of\ DSC03165.webp")
    no-repeat center center/cover;
  background-attachment: fixed;
}

.date-pc .container {
  max-width: 800px;
  margin: 0 auto;
  text-align: center;
  padding: 50px 0;
}

.date-pc .container .date-content {
  position: relative;
  z-index: 2;
  background: rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(5px);
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  border: 2px solid #121212;
}

.date-content .title-date-pc {
  text-align: center;
  padding: 5rem;
  display: flex;
  flex-direction: column;
  background: rgba(50, 50, 50, 0.6);
  backdrop-filter: blur(5px);
}

.date-content .title-date-mobile {
  display: none;
}

.title-date-pc .text {
  margin-block: auto;
}

.title-date-pc .text h2 {
  font-size: 5rem;
  color: white;
}

.title-date-pc .text h4 {
  color: white;
  font-size: 1.5rem;
}

.info-date {
  padding: 3rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;
}

.info-date .couple-names {
  font-size: 40px;
  color: white;
  font-family: "dancing script", cursive;
  margin-bottom: 10px;
}

.info-date .invitation-text {
  font-size: 15px;
  color: white;
  line-height: 1.5;
}

.info-date .direction-button {
  margin-top: 20px;
  padding: 10px 20px;
  background: #121212;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none;
  transition: background 0.3s ease;
}

.info-date .direction-button:hover {
  background: #333;
}

.info-date .dates {
  font-family: "arial", sans-serif;
  font-size: 28px;
  color: white;
}

.info-date .times {
  font-family: "arial", sans-serif;
  font-size: 20px;
  color: white;
}

.info-date .location {
  font-family: "arial", sans-serif;
  font-size: 18px;
  color: white;
}

.gallery {
  margin-block: 50px;
}

.gallery .title-gallery {
  max-width: 800px;
  margin: 0 auto;
  text-align: center;
  padding: 50px 0;
}

.title-gallery h1 {
  font-size: clamp(2.5rem, 5vw, 4rem);
  margin-bottom: 20px;
  color: #121212;
  font-family: "dancing script", cursive;
}

.gallery-content {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  max-width: none;
  gap: 3px;
}

.gallery-content .gallery-image {
  position: relative;
  overflow: hidden;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  aspect-ratio: 1 / 1;
}

.gallery-content .gallery-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.guest-book {
  margin-block: 50px;
  position: relative;
}

.guest-book .card {
  position: relative;
  z-index: 3;
  max-width: 600px;
  margin: 0 auto;
  text-align: center;
  padding: 50px;
  background: white;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.guest-book .card .container {
  border: 2px solid #121212;
  padding: 30px;
}

.guest-book .title-guest-book {
  max-width: 800px;
  margin: 0 auto;
  text-align: center;
  padding: 20px 0;
}

.title-guest-book h1 {
  font-family: "dancing script", cursive;
  font-size: clamp(2.5rem, 5vw, 4rem);
  margin-bottom: 20px;
  color: #121212;
}

.guest-book-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.guest-book-content .guest-book-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  width: 100%;
  max-width: 600px;
  margin: 0 auto;
}

.guest-book-content .guest-book-form input,
.guest-book-content .guest-book-form textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #121212;
  border-radius: 5px;
  resize: none;
  font-size: 16px;
  color: #121212;
}

.guest-book-content .guest-book-form button {
  padding: 10px 20px;
  background: #121212;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none;
  transition: background 0.3s ease;
  font-size: 16px;
}

.message {
    padding: 50px;
    background-color: #f9f9f9;
}

.message-content {
    max-width: 800px;
    border: 2px solid #121212;
    height: 40vh;
    overflow-y: scroll;
    margin: 0 auto;
}
.message-content ul {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.message-content li {
    width: 100%;
}
.message-content .bubble {
    background-color: white;
    border-radius: 10px;
    padding: 20px;
    margin: 10px 20px;
}
.message-content .bubble .name {
    font-weight: bold;
    margin-right: 10px;
}
.message-content .bubble .date {
    font-size: 0.8rem;
    color: #999;
    margin-bottom: 10px;
}
.message-content .bubble p {
    margin: 0;
    color: #444;
}


.thank-you {
  position: relative;
  width: 100%;
  height: 90vh;
  background: url("/assets/gallery/Copy\ of\ DSC03632.webp")
    no-repeat center center/cover;
  display: flex;
  background-repeat: no-repeat;
  /* align-items: center; */
  justify-content: center;
  text-align: center;
  color: white;
}

.thank-you-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(to bottom, rgba(0,0,0,0.8) 0%, rgba(0,0,0,0.0) 100%);
}

.thank-you-content {
  position: relative;
  margin-top: 50px;
  margin-inline: 3rem;
  z-index: 2;
}

.thank-you h1 {
  font-size: clamp(2rem, 5vw, 3rem);
  font-weight: bold;
  font-family: "dancing script", cursive;
  color: white;
}

.thank-you p {
  font-size: clamp(12px, 3vw, 16px);
  margin-bottom: 3rem;
  color: white;
}

.footer {
    background: #121212;
    padding: 50px 0;
}

.footer-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.footer-logo {
    font-size: 2rem;
    font-family: "dancing script", cursive;
    color: white;
}

.footer-social {
    display: flex;
    gap: 20px;
}

.footer-social a {
    filter: invert(99%) sepia(0%) saturate(292%) hue-rotate(192deg) brightness(116%) contrast(100%);
}

.footer-contact {
    text-align: center;
    color: white;
}

.modal-container {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    align-items: center;
    justify-content: center;
}

.modal {
    background: white;
    width: 90%;
    max-width: 500px;
    margin-top: 5rem;
    margin-inline: auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    padding: 20px;
}

.modal-header {
    display: flex;
    justify-content: flex-end;
    padding: 10px;
}

.close-modal {
    font-size: 24px;
    cursor: pointer;
}

.modal-body {
    padding: 20px;
    text-align: center;
    border: 2px solid #121212;
}

.modal-body h1 {
    font-size: 3rem;
    font-family: 'Dancing Script', cursive;
    color: #121212;
}

.modal-body h3 {
    font-size: 1.5rem;
    color: #121212;
}

.modal-body .open-invitation {
    padding: 10px 20px;
    background: #121212;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    transition: background 0.3s ease;
    font-size: 16px;
}

.modal-body .open-invitation:hover {
    background: #333;
}

#audio-button {
  position: fixed;
  border: 2px solid #121212;
  bottom: 1rem;
  right: 1rem;
  background: rgb(226, 226, 226);

  padding: 0.5rem;
  cursor: pointer;
  z-index: 999;
}

#audio-button:focus {
  outline: none;
}

/* Responsive Design */
@media (max-width: 768px) {
  [data-aos] {
    overflow: hidden;
  }

  .pc {
    display: none;
  }

  .hero {
    height: 70vh;
  }

  .slant {
    height: 60px;
    clip-path: polygon(0 100%, 100% 20%, 100% 100%);
  }

  .mobile {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
  }

  .groom-mobile,
  .bride-mobile {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: white;
    padding: 15px;
    border-radius: 10px;
    text-align: center;
    width: 100%;
  }

  .image img {
    width: 80%;
    max-width: 250px;
    border-radius: 10px;
  }

  .text {
    margin-top: 10px;
  }

  .text h2 {
    font-size: 18px;
    color: #121212;
    margin-bottom: 5px;
  }

  .text p {
    font-size: 14px;
    color: #555;
    line-height: 1.5;
  }

  .date-pc .container .date-content {
    display: grid;
    grid-template-columns: repeat(1, 2fr);
  }

  .date-content .title-date-pc {
    display: none;
  }

  .date-content .title-date-mobile {
    text-align: center;
    padding: 5rem;
    display: flex;
    flex-direction: column;
    background: rgba(90, 125, 154, 0.6);
    backdrop-filter: blur(5px);
  }

  .title-date-mobile .text {
    margin-block: auto;
  }

  .title-date-mobile .text h2 {
    font-size: 4rem;
    color: white;
  }

  .title-date-mobile .text h4 {
    color: white;
    font-size: 1rem;
  }

  .gallery-content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    max-width: none;
    gap: 1px;
  }

  .gallery-content .gallery-image {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 1 / 1;
  }

  .gallery-content .gallery-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .modal {
    margin-top: 0rem;
  }
}

@media (min-width: 768px) {
  .gallery-content {
    grid-template-columns: repeat(4, 1fr);
  }
}
